## golang-github-masterminds-semver-dev 3.4.0

=== Makefile ===
GOPATH=$(shell go env GOPATH)
GOLANGCI_LINT=$(GOPATH)/bin/golangci-lint

.PHONY: lint
lint: $(GOLANGCI_LINT)
	@echo "==> Linting codebase"
	@$(GOLANGCI_LINT) run

.PHONY: test
test:
	@echo "==> Running tests"
	GO111MODULE=on go test -v

.PHONY: test-cover
test-cover:
	@echo "==> Running Tests with coverage"
	GO111MODULE=on go test -cover .

.PHONY: fuzz
fuzz:
	@echo "==> Running Fuzz Tests"
	go env GOCACHE
	go test -fuzz=FuzzNewVersion -fuzztime=15s .
	go test -fuzz=FuzzStrictNewVersion -fuzztime=15s .
	go test -fuzz=FuzzNewConstraint -fuzztime=15s .

$(GOLANGCI_LINT):
	# Install golangci-lint. The configuration for it is in the .golangci.yml
	# file in the root of the repository
	echo ${GOPATH}
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(GOPATH)/bin v1.56.2

## golang-github-masterminds-semver-dev 1.1.0

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.1.0-2) unstable; urgency=medium

  * Change maintainer to Debian Go Packaging Team.
  * Remove unused README.Debian.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Apr 2016 13:36:33 +0800

golang-github-masterminds-semver-dev (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #821101

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Apr 2016 22:49:21 +0800

=== debian/control ===
Source: golang-github-masterminds-semver-dev
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               dh-golang,
               golang-go
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/golang-github-masterminds-semver-dev.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/golang-github-masterminds-semver-dev.git
Homepage: https://github.com/Masterminds/semver

Package: golang-github-masterminds-semver-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Semantic versions library in Go
 The semver package provides the ability to work with Semantic Versions
 in Go. Specifically it provides the ability to:
 .
  * Parse semantic versions
  * Sort semantic versions
  * Check if a semantic version fits within a set of constraints
  * Optionally work with a v prefix

=== debian/watch ===
version=3
https://github.com/Masterminds/semver/releases .*/([\d\.]*)\.tar.gz

## golang-github-masterminds-semver-dev 1.1.1

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: handle "v" prefix in version.
  * d/control: drop Built-Using and Multi-Arch fields.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jul 2016 07:28:43 +0200

## golang-github-masterminds-semver-dev 1.2.0

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 11 Nov 2016 18:47:49 +0800

## golang-github-masterminds-semver-dev 1.2.1

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Dec 2016 12:02:48 +0800

## golang-github-masterminds-semver-dev 1.2.2

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 22 Dec 2016 23:08:23 +0800

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>=9),
                dh-golang,
                golang-go
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/golang-github-masterminds-semver-dev.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/golang-github-masterminds-semver-dev.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterminds-semver-dev.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-semver-dev.git
 Homepage: https://github.com/Masterminds/semver
+XBS-Go-Import-Path: https://github.com/Masterminds/semver
 
 Package: golang-github-masterminds-semver-dev
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Semantic versions library in Go

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DH_GOPKG := github.com/Masterminds/semver

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-masterminds-semver-dev 1.3.0

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.3.0-1) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.
  * Bump compat to 10.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 21 Jun 2017 15:20:15 +0800

golang-github-masterminds-semver-dev (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 07 May 2017 07:55:25 +0800

golang-github-masterminds-semver-dev (1.2.3-1~exp1) experimental; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 08 Apr 2017 11:42:59 +0800

## golang-github-masterminds-semver-dev 1.3.1

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 22 Jul 2017 10:28:30 +0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-go
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterminds-semver-dev.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-semver-dev.git
 Homepage: https://github.com/Masterminds/semver

## golang-github-masterminds-semver-dev 1.4.0

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: fix XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 17:55:19 +0100

golang-github-masterminds-semver-dev (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.
    * Change Priority to optional.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 17 Oct 2017 15:40:18 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-masterminds-semver-dev
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-go
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-masterminds-semver-dev.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-masterminds-semver-dev.git
 Homepage: https://github.com/Masterminds/semver
-XBS-Go-Import-Path: https://github.com/Masterminds/semver
+XS-Go-Import-Path: github.com/Masterminds/semver
 
 Package: golang-github-masterminds-semver-dev
 Architecture: all

## golang-github-masterminds-semver-dev 1.4.2

=== debian/changelog ===
golang-github-masterminds-semver-dev (1.4.2-2) unstable; urgency=medium

  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Build-Depends on golang-any instead of golang-go
  * Add myself to the list of Uploaders
  * Update Maintainer email address to team+pkg-go@tracker.debian.org

 -- Anthony Fok <foka@debian.org>  Sat, 03 Aug 2019 06:33:41 -0600

golang-github-masterminds-semver-dev (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Use https in Format field in d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 29 Apr 2018 19:56:02 +0800

golang-github-masterminds-semver-dev (1.4.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Bump compat to 11.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 09 Apr 2018 11:40:27 +0800

=== debian/control ===
Source: golang-github-masterminds-semver-dev
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Vincent Bernat <bernat@debian.org>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev.git
Homepage: https://github.com/Masterminds/semver
XS-Go-Import-Path: github.com/Masterminds/semver

Package: golang-github-masterminds-semver-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Semantic versions library in Go
 The semver package provides the ability to work with Semantic Versions
 in Go. Specifically it provides the ability to:
 .
  * Parse semantic versions
  * Sort semantic versions
  * Check if a semantic version fits within a set of constraints
  * Optionally work with a v prefix

=== debian/watch ===
version=3
https://github.com/Masterminds/semver/releases .*/v?([\d\.]*)\.tar.gz

## golang-github-masterminds-semver-dev 3.1.1

=== debian/changelog ===
golang-github-masterminds-semver-dev (3.1.1-1) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Shengjing Zhu ]
  * Upload to sid
  * Update Standards-Version to 4.6.0 (no changes)
  * Update Section to golang
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 12 Nov 2021 01:35:52 +0800

golang-github-masterminds-semver-dev (3.1.1-1~exp0) experimental; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. Add Multi-Arch: foreign.

  [ Peymaneh Nejad ]
  * New upstream version 3.1.1

 -- Peymaneh Nejad <p.nejad@posteo.de>  Mon, 07 Jun 2021 17:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Vincent Bernat <bernat@debian.org>,
            Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev.git
 Homepage: https://github.com/Masterminds/semver
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/Masterminds/semver
 
 Package: golang-github-masterminds-semver-dev
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: foreign
 Description: Semantic versions library in Go
  The semver package provides the ability to work with Semantic Versions
  in Go. Specifically it provides the ability to:

=== debian/watch ===
version=4
https://github.com/Masterminds/semver/releases .*/v?([\d\.]*)\.tar.gz

## golang-github-masterminds-semver-dev 3.2.0

=== debian/changelog ===
golang-github-masterminds-semver-dev (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 12 Jan 2023 16:31:22 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev.git
 Homepage: https://github.com/Masterminds/semver

=== debian/watch ===
version=4
https://github.com/Masterminds/semver/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-masterminds-semver-dev 3.4.0

=== debian/changelog ===
golang-github-masterminds-semver-dev (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0.
  * d/control: Bump Standards-Version to 4.7.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 18 Sep 2025 22:09:04 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-masterminds-semver-dev.git
 Homepage: https://github.com/Masterminds/semver

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=golang --with=golang
